Warning: file_exists(): open_basedir restriction in effect. File(/srv/http/vhosts/aur.archlinux.org/public/web/locale//en/LC_MESSAGES/aurweb.mo) is not within the allowed path(s): (/srv/http/vhosts/aur-dev.archlinux.org/:/etc/aurweb/) in /srv/http/vhosts/aur-dev.archlinux.org/public/web/lib/streams.php on line 90
AUR (en) - oh-my-zsh-git

Notice: Undefined variable: name in /srv/http/vhosts/aur-dev.archlinux.org/public/web/lib/pkgfuncs.inc.php on line 248

Package Details: oh-my-zsh-git r3993.7fabc8b-1

Git Clone URL: https://aur-dev.archlinux.org/oh-my-zsh-git.git (read-only)
Package Base: oh-my-zsh-git
Description: A community-driven framework for managing your zsh configuration. Includes 180+ optional plugins and over 120 themes to spice up your morning, and an auto-update tool so that makes it easy to keep up with the latest updates from the community
Upstream URL: https://github.com/robbyrussell/oh-my-zsh
Licenses: MIT
Submitter: phoenixlzx
Maintainer: MarcinWieczorek
Last Packager: MarcinWieczorek
Votes: 256
Popularity: 7.494456
First Submitted: 2012-10-24 12:04
Last Updated: 2016-06-26 12:03

Dependencies (7)

Sources (2)

Latest Comments

« First ‹ Previous 1 2 3 4 5 6 7 Next › Last »

elpasi commented on 2013-09-20 20:03

https://wiki.archlinux.org/index.php/VCS_PKGBUILD_Guidelines#Git

I'd suggest changing the pkgver function for the latter Git pkgver() listed there, and then changing the one defined explicitly at the top to match the new format.

elpasi commented on 2013-09-20 20:03

https://wiki.archlinux.org/index.php/VCS_PKGBUILD_Guidelines#Git

I'd suggest changing the pkgver for the latter Git pkgver listed there, and then changing the one defined at the top to match the same formatting.

Anonymous comment on 2013-09-20 19:47

Hi everyone,

I've decided to maintain this package, as I use zsh and this tool a lot. Fist I'll get on and fix the pkgver() problems. Feel free to send me an improved pkgbuild.

Thanks,
Jamie

phoenixlzx commented on 2013-09-20 16:32

Hi @elpasi and @scarpino,

I'm sorry for too busy to take care of my packages.. I'm going to disown this package, so if anyone is interesting in maintaining, please go ahead.

Thank you guys.

elpasi commented on 2013-09-20 15:19

I've really flagged this for the same reason as scarpino's message below. If you update this, you get a weird pkgver inconsistency (20130716_2cc4801-1 v 61e3951-1) which leads to pacaur asking you to update the package every time you run a pacaur -Syua. This doesn't happen with any other VCS package I have that uses pkgver() to change its version partway through.

ilpianista commented on 2013-09-10 06:53

I just updated and the pkgver now is dff966a, could you fix this with a proper pkgver?

ilpianista commented on 2013-07-22 09:32

Please put $pkgdir between double apixes, thank you.

phoenixlzx commented on 2013-04-18 12:24

@ThinCarrotShrimp
Thank you for your PKGBUILD. I've added you as contributor, and sorry for my lack of time update these packages.

Anonymous comment on 2013-04-16 19:13

I modified the PKGBUILD according to https://wiki.archlinux.org/index.php/VCS_PKGBUILD_Guidelines

Changes:
- add git repo to sources
- let makepkg handle git clone/fetch
- get package version from git
- set correct license info
- copy license to /usr/share/licenses/oh-my-zsh-git/LICENSE

Have a look at http://pastebin.com/pgdcpavj

Cheers

alphazo commented on 2013-04-08 10:21

Problem comes from the new prompt support in grml 0.8.

Solution can be found here http://bewatermyfriend.org/p/2013/002/

When using oh-my-zsh you need to add the line :
prompt off

in ~/.zshrc